Bug 34451 - Appearing docked toolbars cause document jumping on screen
Summary: Appearing docked toolbars cause document jumping on screen
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
: 45547 61237 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-02-18 07:12 UTC by sasha.libreoffice
Modified: 2016-06-10 17:51 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments
Short Demo (202.60 KB, application/vnd.oasis.opendocument.presentation)
2011-03-31 06:10 UTC, Rainer Bielefeld Retired
Details
Screen cast illustrating the "jumping" of the GUI (220.55 KB, video/mp4)
2012-08-10 14:11 UTC, mogliii
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2011-02-18 07:12:32 UTC
I have placed toolbar "Table" on right hand side of screen. Then I set zoom to 100%. Between white sheet of document and edge of screen appears grey areas nearly 5cm width.
When I palace cursor (caret) in table, toolbar "Table" on right hand side of screen appears and sheet of document jumps 2cm left on screen. When I place cursor outside of table, toolbar disappears and document jumps 2cm right.
There is no need to jump because on screen is lot of free space on left and right.

This endless jumping of document on screen very annoying and tire. 
Please, fix it.
Comment 1 sasha.libreoffice 2011-02-24 06:24:20 UTC
On Libreoffice 3.3.1 still exists
Comment 2 Don't use this account, use tml@iki.fi 2011-03-07 07:18:03 UTC
No need to add a comment for each version in which the bug still exists. One can assume that a bug doesn't go away by itself, at least not in a micro version update as 3.3.0 -> 3.3.1. (For 3.3.x -> 3.4, bugs can well get fixed by the OOo changes that are merged in, so then it is worth it to explicitly check. But even then, add a comment (and change the bug status) only if then bug has gone away.)
Comment 3 Rainer Bielefeld Retired 2011-03-31 06:07:02 UTC
[Reproducible] with "LibreOffice 3.3.2  – WIN7  Home Premium  (64bit) English UI [OOO330m19 (Build:202 / tag 3.3.2.2)]".

I believe it's a more general problem, all such toolbars (except docked at the bottom) cause this document jumping effect and sometimes really make LibO more or less unusable, because you move the clicked object accidently, fail to doubleclick, ...

I would prefer a solution that does not touch document zoom and/or position. May be a property check box will be useful for users who prefer current behavior? 

Corresponding OOo Bug Report:
Bug 46867 -  The document jumps up and down to make room for the docked toolbar as I cursor through a table, outline, etc., because I docked the toolbar
<http://openoffice.org/bugzilla/show_bug.cgi?id=46867>
Comment 4 Rainer Bielefeld Retired 2011-03-31 06:10:14 UTC
Created attachment 45089 [details]
Short Demo
Comment 5 irishbandit 2011-04-22 23:02:55 UTC
This is the same issue that we have tried to get fixed in openoffice since it first came out. See bug http://openoffice.org/bugzilla/show_bug.cgi?id=47740
This bug was posted on 2005-04-19 its been 6 years and its still annoying!!!!
Why this can not be addressed to work for every-one I dont understand.

If you dock a toolbar you want it to always be there not hide unhide.
Seems like a simple concept to me. 

As the post from openoffice says
"please make an option turn on/off the context sensitivity of the
toolbars. that way you can choose which toolbars will be always on and which
will be always off."
Comment 6 Björn Michaelsen 2011-12-23 11:50:57 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 7 sasha.libreoffice 2011-12-30 00:18:21 UTC
reproduced on LibO 3.5.0 beta 1
Comment 8 bfoman (inactive) 2012-07-16 11:57:20 UTC
*** Bug 45547 has been marked as a duplicate of this bug. ***
Comment 9 mogliii 2012-08-10 14:11:44 UTC
Created attachment 65389 [details]
Screen cast illustrating the "jumping" of the GUI

This screen cast illustrates the behavior.
Comment 10 mogliii 2012-08-10 14:13:21 UTC
This also applies to graphs in calc. When working with many tables and graphs it gives me headache.
Comment 11 Jean-Baptiste Faure 2012-08-10 16:02:35 UTC
The workaround I use is to dock a small toolbar like "Insert", hiding all tools but the first one. Then docking Table or Numbering toolbar on the same side as Insert toolbar.

Another workaround to try is to dock the toolbar at the bottom.

Best regards. JBF
Comment 12 Rainer Bielefeld Retired 2013-02-21 15:51:37 UTC
*** Bug 61237 has been marked as a duplicate of this bug. ***
Comment 13 alfiodemartino 2013-02-21 16:10:51 UTC
We are now at 7+ years to solve this problem and it is definitely too much. 
A few years ago I was told by the programmers at OpenOffice that this "disappearing" (and reappearing) toolbar was a "FEATURE" but I call it a nuisance and I am not the only one.

Best solution to it is to revert to MS Office where this doesn't happen.
Comment 14 Jean-Baptiste Faure 2013-02-21 19:11:55 UTC
In current versions (3.6 and 4.0), appearing toolbars are docked by default at the bottom side of the window and have no effect on the size or position of the working area.

For me the problem is fixed.

Best regards. JBF
Comment 15 alfiodemartino 2013-02-22 00:27:30 UTC
It's OK since you keep insisting that everything is fine I just deleted 
the program from my computer, on my systems I decide where the toolbars 
must go and how they should behave.

Cheers





On 02/21/2013 20:11, bugzilla-daemon@freedesktop.org wrote:
>
> *Comment # 14 <https://bugs.freedesktop.org/show_bug.cgi?id=34451#c14> 
> on bug 34451 <https://bugs.freedesktop.org/show_bug.cgi?id=34451> from 
> Jean-Baptiste Faure <mailto:jbf.faure@sud-ouest.org> *
> In current versions (3.6 and 4.0), appearing toolbars are docked by default at
> the bottom side of the window and have no effect on the size or position of the
> working area.
>
> For me the problem is fixed.
>
> Best regards. JBF
> ------------------------------------------------------------------------
> You are receiving this mail because:
>
>     * You are on the CC list for the bug.
>
Comment 16 irishbandit 2013-02-22 00:50:43 UTC
I just checked latest version on ubuntu 13.04 and it still does not work as excpected.
To reproduce 
1. view>toolbars>table
2. table>insert>table>insert
3. Click out of table and toolabr disappears.
4. Click in table it reappears.
5. Click out of table dissapears.

In step one I told it to show toolbar table!!!
It should always be displaayed if I tell it to be displayed just like the standard toolbar!!!

It should dock where I put it and how I put it. If I want it on the left side
it should be on the left side. NOT dissapear reapear!!!!!!
Comment 17 Rainer Bielefeld Retired 2013-02-22 05:33:14 UTC
irishbandit, please consider:
<http://wiki.documentfoundation.org/BugReport_Details#Version>
If you also did this mistake in other Bugs please undo your Version changes there!

@Jean-Baptiste Faure (In reply to comment #14):
Yes, the start situation has improved a little, but that's not a solution. Since I have a widescreen I would prefer to have several toolbars at the right and left side of the screen, but because of the jumping screen effect that would be painful with LibO
Comment 18 Simo Kaupinmäki 2014-07-22 16:35:05 UTC
I think there are two related but separate issues discussed here. The original description focuses on the jumping screen effect caused by toolbars appearing and disappearing, whereas comment 5, comment 13 and comment 16 are rather about bug 38850, which speaks of the automatic disappearance of a toolbar as an issue in itself.

Appearing and disappearing toolbars may sometimes be problematic even when positioned at the bottom, as described in bug 55855.
Comment 19 Norbert X 2014-10-04 11:43:36 UTC
I can confirm this bug in 4.3.2.
I'll copy my comment from https://bugs.freedesktop.org/show_bug.cgi?id=81475#c23 here:

I think that dynamic appearance/disappearance of toolbars is not a good idea.

For me it is comfortable to place toolbars once and use them when I want to use them, not contextually (current object- or action- dependent).
But now in 4.3.2 toolbars disappear even if they have Lock Toolbar Position option checked. Please enable static toolbar positions. 

Popping toolbars may cause attention switch and may lower document author's productivity. Otherwise you will create another stupid, ugly, non-usable Ribbon/MFI. I think that many LibreOffice users would be happy with MS Office 2003-like interface.

Users do not need bells and whistles, they need comfortable and customizable interface. This interface should allow users to place and pin (lock) toolbars as they want and use keyboard shortcuts for more productivity (for example, the fastest way to add Cross-Reference is to press <Alt-i><e>).
Comment 20 Jean-Baptiste Faure 2014-10-04 15:16:01 UTC
You can customize toolbars behavior in at least two ways to make them not interfering with the size of the text area:

1/ make the toolbar floating: the first time the toolbar appears undock it and the next time the toolbar will appear it will be undocked.

2/ dock a small toolbar, for example on the left side. I use the "Tools" toolbar and I keep active only the Insert button. When a toolbar appears (like  dock it under the Tool toolbar, the next time it will appear it will be docked there. As you always have a toolbar docked on the left side, new toolbar appearing will not change the size of the text area and the document will stop to jump on the screen.

I use the second way since at least the time of OOo 1.0 and it works perfectly for me in the most cases.

Best regards. JBF
Comment 21 QA Administrators 2015-10-14 19:58:12 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.1 or preferably 5.0.2.2 or later)
   https://www.libreoffice.org/download/

   If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
 If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   Update the version field
   Reply via email (please reply directly on the bug tracker)
   Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 
3. Leave a comment with your results. 
4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-10-14
Comment 22 Jean-Baptiste Faure 2015-10-18 11:28:54 UTC
You can configure your workspace to reserve space for toolbars on the left or right side of the window.
If you want that a contextual sensitive toolbar (like table toolbar) appears always at the same place without changing the size of the working area (the area in which you see the text page), do the following:
1/ create a new toolbar, name it and validate; you do not need to populate it.
2/ the new toolbar appears in the main toolbar and you can move it where you want
3/ dock this empty toolbar on the left side
4/ move the cursor in a table to make the table toolbar visible
5/ move to table toolbar just under your new empty toolbar
6/ move the cursor outside the table: the table toolbar disappears
7/ move the cursor inside the table: the table toolbar appears again at the same place.

Using this method, you can create several columns of toolbar on the left or/and on the right side of the window, and when these toolbars appear or disappear the text page do not jump.

Because you can configure your workspace to dock the appearing toolbars where you want, I am closing this bug report as WorksForMe.

Best regards. JBF
Comment 23 Regina Henschel 2016-06-10 17:51:08 UTC
It is indeed a problem and "worksforme" is not correct here. Nevertheless reopening is not needed, because there exist the general discussion of popping up toolbars in bug 36976.